import 'package:flutter/material.dart';
import "form_datumzeit_setzen.dart";
import 'package:daciapackete/globals.dart' as globals;
import "package:intl/intl.dart";
import 'main.dart';
var datumZeit=DatumZeit("hallo1", "hallo2");
Widget zeileAnzeigen(String textLinks, String wertRechts) {



  return Card(
    child: Padding(
      padding: const EdgeInsets.all(8),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        children: <Widget>[
          Text(textLinks),
          Text(wertRechts),
          //Text("${pet.age} Jahre"),
        ],
      ),
    ),
  );
}
class CardDatumZeitAufrufen extends StatelessWidget {
  const CardDatumZeitAufrufen({super.key});

  @override
  Widget build(BuildContext context) {
    return Card(
      child: Padding(
        padding: const EdgeInsets.all(8),
        child: Column(

          children: <Widget>[
            /*
            ListTile(
              title: Text("DatumZeit"),
              //subtitle: Text(subheading),
              //trailing: Icon(Icons.favorite_outline),
            ),
            */
            zeileAnzeigen(DateFormat("dd.MM.yyyy hh:mm").format(globals.ladeKlimaKonfig.ladenDatumZeit), "DatumZeit"),
            //Text(pet.name),
            Row(
              mainAxisAlignment: MainAxisAlignment.spaceBetween,
              children: <Widget>[
            ElevatedButton(
              onPressed: () {
                Navigator.pushNamed(context, "/FormDateTimeSet", arguments:datumZeit);

                print(datumZeit.datum);
                print(datumZeit.zeit);
              },
              child: Text(context.sp.sofortLaden),
            ),

            ElevatedButton(
              onPressed: () {
                Navigator.pushNamed(context, "/FormDateTimeSet", arguments:datumZeit);
              },
              child: Text(context.sp.aendern),
            ),
            ],
            ),
          ],
        ),
      ),
    );
  }
}
